Janeway · Gateway-API

Gateway betriebsbereit

Janeway API Gateway

Unified REST API fuer das Janeway Ecosystem

Base https://api.janewaylabs.com Bearer-Token52 Endpunkte · 7 Services

Schnellstart

1 · Token holen2 · Authorization: Bearer3 · Request senden
POST /contacts
curl -X POST "https://api.janewaylabs.com/v1/contacts/contacts" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "first_name": "Max",
  "last_name": "Mustermann",
  "nickname": "maxi",
  "email": "max.mustermann@example.com",
  "phone": "+49 30 1234567",
  "company": "Janeway GmbH",
  "position": "Geschäftsführer",
  "address": "Hauptstraße 1",
  "city": "Berlin",
  "postal_code": "10115",
  "country": "Deutschland",
  "notes": "Beispieltext",
  "avatar_url": "https://example.com",
  "group_id": "550e8400-e29b-41d4-a716-446655440000",
  "birthday": "2026-01-15",
  "anniversary": "2026-01-15",
  "website": "https://example.com",
  "is_favorite": true
}'
Response · 201
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "workspace_id": "550e8400-e29b-41d4-a716-446655440000",
    "first_name": "Max",
    "last_name": "Mustermann",
    "nickname": "maxi",
    "middle_name": "Max Mustermann",
    "prefix": "string",
    "suffix": "string",
    "email": "max.mustermann@example.com",
    "phone": "+49 30 1234567",
    "company": "Janeway GmbH",
    "position": "Geschäftsführer",
    "department": "string",
    "address": "Hauptstraße 1",
    "city": "Berlin",
    "postal_code": "10115",
    "country": "Deutschland",
    "notes": "Beispieltext",
    "avatar_url": "https://example.com/avatar.png",
    "group_id": "550e8400-e29b-41d4-a716-446655440000",
    "birthday": "2026-01-15",
    "anniversary": "2026-01-15",
    "website": "https://example.com",
    "is_favorite": true,
    "created_at": "2026-01-15T09:30:00Z",
    "updated_at": "2026-01-15T09:30:00Z"
  }
}